POST gls/api/reports/income-statement-budget
Request Information
URI Parameters
None.
Body Parameters
IncomeStatementBudgetRequestDto| Name | Description | Type | Additional information |
|---|---|---|---|
| PeriodFromMonth | integer |
None. |
|
| PeriodFromYear | integer |
None. |
|
| PeriodToMonth | integer |
None. |
|
| PeriodToYear | integer |
None. |
|
| AllEntries | boolean |
None. |
|
| SelectedEntry | string |
None. |
|
| OutputToScreen | boolean |
None. |
|
| OutputToPrinter | boolean |
None. |
|
| UserId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"periodFromMonth": 1,
"periodFromYear": 2,
"periodToMonth": 3,
"periodToYear": 4,
"allEntries": true,
"selectedEntry": "sample string 6",
"outputToScreen": true,
"outputToPrinter": true,
"userId": 1
}
application/xml, text/xml
Sample:
<IncomeStatementBudgetRequestDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CPCI.Reports.Services.DTO"> <AllEntries>true</AllEntries> <OutputToPrinter>true</OutputToPrinter> <OutputToScreen>true</OutputToScreen> <PeriodFromMonth>1</PeriodFromMonth> <PeriodFromYear>2</PeriodFromYear> <PeriodToMonth>3</PeriodToMonth> <PeriodToYear>4</PeriodToYear> <SelectedEntry>sample string 6</SelectedEntry> <UserId>1</UserId> </IncomeStatementBudgetRequestDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.